@keyframes fadeIn {
    from { opacity: 0; }
    to { opacity: 1; }
}

@keyframes slideInUp {
    from { transform: translateY(100px); opacity: 0; }
    to { transform: translateY(0); opacity: 1; }
}

@keyframes pulse {
    from { transform: scale(1); }
    to { transform: scale(1.1); }
}

@keyframes backgroundFade {
    0% { opacity: 0; }
    10% { opacity: 1; }
    80% { opacity: 1; }
    90% { opacity: 0; }
    100% { opacity: 0; }
}

@keyframes zoom {
    from { transform: scale(1); }
    to { transform: scale(1.2); }
}

@keyframes blinkCursor {
    from { border-right-color: rgba(255, 255, 255, 0.75); }
    to { border-right-color: transparent; }
}

body {
    background-color: #121212; /* Fallback background color */
    color: #fff; /* Light text color */
    animation: fadeIn 1s ease-in-out; /* Fade in animation */
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    margin: 0;
    overflow: hidden; /* Hide scrollbars */
}

.background {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0.5;
}

.background img {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    animation: zoom 40s linear infinite, backgroundFade 50s linear infinite;
}

.background img:nth-child(2) { animation-delay: 10s; }
.background img:nth-child(3) { animation-delay: 20s; }
.background img:nth-child(4) { animation-delay: 30s; }
.background img:nth-child(5) { animation-delay: 40s; }

.container {
    background-color: #1f1f1f; /* Slightly lighter container background color */
    color: #fff; /* Light text color */
    font-family: 'RunescapeUF', sans-serif; /* Custom font */
    padding: 40px;
    border-radius: 15px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    animation: slideInUp 1s ease-in-out; /* Slide in animation */
    text-align: center; /* Center align content */
    max-width: 400px;
    width: 100%;
    z-index: 1; /* Ensure it's above the background */
}

.form-check-input:checked {
    background-color: #007bff; /* Blue color for checked checkbox */
    border-color: #007bff;
}

.btn-primary {
    background-color: #b22222; /* Dark red color for primary button */
    border-color: #b22222;
    animation: pulse 1s infinite alternate; /* Pulse animation */
}

.btn-primary:hover {
    background-color: #8b0000; /* Darker red color on hover */
    border-color: #8b0000;
}

h1 {
    font-size: 2rem;
    margin-bottom: 20px;
}

label {
    font-weight: bold;
}

#result {
    overflow: hidden; /* Ensures the text doesn't overflow */
    display: inline-block;
    border-right: 0.15em solid rgba(255, 255, 255, 0.75); /* Creates the cursor effect */
    animation: blinkCursor 0.75s step-end infinite; /* Cursor blink animation */
}
